<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>polylib: Matop.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.6 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
<h1>Matop.h</h1><a href="Matop_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="preprocessor">#ifndef _Matop_h_</span>
<a name="l00002"></a>00002 <span class="preprocessor"></span><span class="preprocessor">#define _Matop_h_</span>
<a name="l00003"></a>00003 <span class="preprocessor"></span>
<a name="l00004"></a>00004 <span class="preprocessor">#if defined(__cplusplus)</span>
<a name="l00005"></a>00005 <span class="preprocessor"></span><span class="keyword">extern</span> <span class="stringliteral">"C"</span> {
<a name="l00006"></a>00006 <span class="preprocessor">#endif</span>
<a name="l00007"></a>00007 <span class="preprocessor"></span>
<a name="l00008"></a>00008 <span class="comment">/* computes c = lcm(a,b) using Gcd(a,b,&amp;c) */</span>
<a name="l00009"></a>00009 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="Matop_8c.html#69ef60460903eaa2378b40e13181e565">Lcm3</a>(Value a, Value b, Value *c);
<a name="l00010"></a>00010 <span class="keyword">extern</span> <a class="code" href="structmatrix.html">Matrix</a> *<a class="code" href="Matop_8c.html#7d43e9c44b8c49cd9a542102042ad72e">AddANullColumn</a> ( <a class="code" href="structmatrix.html">Matrix</a> *M );
<a name="l00011"></a>00011 <span class="keyword">extern</span> <a class="code" href="structmatrix.html">Matrix</a> *<a class="code" href="Matop_8c.html#76461087aa1a40441a3dc174e8359b97">AddANullRow</a> ( <a class="code" href="structmatrix.html">Matrix</a> *M );
<a name="l00012"></a>00012 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="Matop_8c.html#f9321ba930c53a16bb88667689268d5d">ExchangeColumns</a> ( <a class="code" href="structmatrix.html">Matrix</a> *M, <span class="keywordtype">int</span> Column1, <span class="keywordtype">int</span> Column2 );
<a name="l00013"></a>00013 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="Matop_8c.html#cf8ce28d22ae1fabdf97ac6c4e86341a">ExchangeRows</a> ( <a class="code" href="structmatrix.html">Matrix</a> *M, <span class="keywordtype">int</span> Row1, <span class="keywordtype">int</span> Row2 );
<a name="l00014"></a>00014 <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="Matop_8c.html#d77e679cec7ff5e82f9d09d52e92db06">findHermiteBasis</a> ( <a class="code" href="structmatrix.html">Matrix</a> *M, <a class="code" href="structmatrix.html">Matrix</a> **Result );
<a name="l00015"></a>00015 <span class="keyword">extern</span> <a class="code" href="structmatrix.html">Matrix</a> *<a class="code" href="Matop_8c.html#c886b07103118bccddf1693e2bb9655f">Identity</a> ( <span class="keywordtype">unsigned</span> <a class="code" href="vector_8c.html#439227feff9d7f55384e8780cfc2eb82">size</a> );
<a name="l00016"></a>00016 <span class="keyword">extern</span> <a class="code" href="types_8h.html#39db6982619d623273fad8a383489309">Bool</a> <a class="code" href="Matop_8c.html#3f47c6fa59a6178c86d3990bb25af47b">isinHnf</a> ( <a class="code" href="structmatrix.html">Matrix</a> *A );
<a name="l00017"></a>00017 <span class="keyword">extern</span> <a class="code" href="types_8h.html#39db6982619d623273fad8a383489309">Bool</a> <a class="code" href="Matop_8c.html#b11e2b3f499da1c15918d52e690cfbd1">isIntegral</a> ( <a class="code" href="structmatrix.html">Matrix</a> *A );
<a name="l00018"></a>00018 <span class="keyword">extern</span> Value *<a class="code" href="Matop_8c.html#13dc27a49cfaf5367846f015b76c2840">Lcm</a> (Value i, Value j);
<a name="l00019"></a>00019 <span class="keyword">extern</span> <a class="code" href="structmatrix.html">Matrix</a> *<a class="code" href="Matop_8c.html#9d027e9fc6b85e6fa37fc284bf1b5e06">Matrix_Copy</a>(<a class="code" href="structmatrix.html">Matrix</a> <span class="keyword">const</span> *Src);
<a name="l00020"></a>00020 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="Matop_8c.html#bff6804a65715b1def03cf02c07d138c">PutColumnFirst</a> ( <a class="code" href="structmatrix.html">Matrix</a> *X, <span class="keywordtype">int</span> Columnnumber );
<a name="l00021"></a>00021 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="Matop_8c.html#5912c5c3befc11a92877a93969f359f6">PutColumnLast</a> ( <a class="code" href="structmatrix.html">Matrix</a> *X, <span class="keywordtype">int</span> Columnnumber );
<a name="l00022"></a>00022 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="Matop_8c.html#b6ddbe687809022ebaf4ff691adbb48d">PutRowFirst</a> ( <a class="code" href="structmatrix.html">Matrix</a> *X, <span class="keywordtype">int</span> Rownumber );
<a name="l00023"></a>00023 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="Matop_8c.html#437f63cf9b5f8caea2b5dd4b27f9a28a">PutRowLast</a> ( <a class="code" href="structmatrix.html">Matrix</a> *X, <span class="keywordtype">int</span> Rownumber );
<a name="l00024"></a>00024 <span class="keyword">extern</span> <a class="code" href="structmatrix.html">Matrix</a> *<a class="code" href="Matop_8c.html#4b8fff8126ca3b066999fd338c0ba023">RemoveNColumns</a> ( <a class="code" href="structmatrix.html">Matrix</a> *M, <span class="keywordtype">int</span> FirstColumnnumber, <span class="keywordtype">int</span> NumColumns );
<a name="l00025"></a>00025 <span class="keyword">extern</span> <a class="code" href="structmatrix.html">Matrix</a> *<a class="code" href="Matop_8c.html#7866f34e302caaf90becd08b1245c126">RemoveColumn</a> ( <a class="code" href="structmatrix.html">Matrix</a> *M, <span class="keywordtype">int</span> Columnnumber );
<a name="l00026"></a>00026 <span class="keyword">extern</span> <a class="code" href="structmatrix.html">Matrix</a> *<a class="code" href="Matop_8c.html#4ef5342bc70d9c63714d1092a7668b03">RemoveRow</a> ( <a class="code" href="structmatrix.html">Matrix</a> *M, <span class="keywordtype">int</span> Rownumber );
<a name="l00027"></a>00027 <span class="keyword">extern</span> <a class="code" href="structmatrix.html">Matrix</a> *<a class="code" href="Matop_8c.html#b635a9108899776e30e1de03fe183915">Transpose</a> ( <a class="code" href="structmatrix.html">Matrix</a> *A );
<a name="l00028"></a>00028 
<a name="l00029"></a>00029 <span class="preprocessor">#if defined(__cplusplus)</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>}
<a name="l00031"></a>00031 <span class="preprocessor">#endif</span>
<a name="l00032"></a>00032 <span class="preprocessor"></span>
<a name="l00033"></a>00033 <span class="preprocessor">#endif </span><span class="comment">/* _Matop_h_ */</span>
</pre></div></div>
<hr size="1"><address style="text-align: right;"><small>Generated on Tue Sep 15 18:33:59 2009 for polylib by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.6 </small></address>
</body>
</html>
